{{- if .Values.wordpress.enabled }}
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: www-oceanbox
  namespace: argocd
spec:
  project: default
  destination:
    server: https://kubernetes.default.svc
    namespace: www-oceanbox
  sources:
  - repoURL: https://charts.bitnami.com/bitnami
    targetRevision: 19.2.2
    chart: wordpress
    helm:
      valueFiles:
        - $values/values/wordpress/values.yaml
  - repoURL: https://gitlab.com/oceanbox/manifests.git
    targetRevision: HEAD
    ref: values
{{- end }}
